// 
//  MSPointArray.h
//  citemp
//  
//  Created by Pieter Omvlee on 2007-07-10.
//  Copyright 2007 GetDrawIt. All rights reserved.
// 


#import <Cocoa/Cocoa.h>

@interface MSPointArray : NSObject <NSCoding, NSCopying>
{
  NSMutableArray *points;
}
- (void)addPoint:(NSPoint)aPoint;
- (void)insertPoint:(NSPoint)aPoint atIndex:(unsigned int)i;
- (NSPoint)pointAtIndex:(unsigned int)i;
- (unsigned int)indexOfPoint:(NSPoint)aPoint;
- (void)removePointAtIndex:(unsigned int)i;
- (NSArray *)points;
- (void)setPoints:(NSArray *)newPoints;
- (unsigned int)countOfPoints;
- (void)replacePointAtIndex:(unsigned)i withPoint:(NSPoint)aPoint;
- (void)removeAllPoints;
- (BOOL)pointAtIndex:(int)i isEqualToPoint:(NSPoint)other;
@end
